<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from distfun_list.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="distfun_list" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>distfun_list</refname>
    <refpurpose>Returns the list of available distributions</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   s=distfun_list("longnames")
   s=distfun_list("shortnames")
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>s :</term>
      <listitem><para> a matrix of strings, available distributions in long or short format</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Inquires about the available distributions.
   </para>
   <para>
distfun_list("longnames") returns a matrix of strings containing
all the available distributions, in long format, human readable.
e.g. : "Uniform", "Normal", etc...
   </para>
   <para>
distfun_list("shortnames") returns a matrix of strings containing
all the available distributions, in short format,
e.g. : "unif", "norm", etc...
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
s=distfun_list("longnames")
s=distfun_list("shortnames")

// Print the map
sn=distfun_list("longnames");
ln=distfun_list("shortnames");
mprintf("%-25s : ""%s""\n",[sn,ln]);

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2014 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
